Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.jcr
Interface OracleRepository

All Superinterfaces:
  javax.naming.Referenceable, Repository, java.io.Serializable

      public interface OracleRepository

extends Repository, java.io.Serializable, javax.naming.Referenceable

OracleRepository is the entry point to a content repository.

Use the OracleRepositoryFactory class to create and configure an OracleRepository object. Then call `login` to create a JCR session.

OracleRepository objects are both Serializable and Referenceable, allowing them to be stored in a JNDI directory instead of being created and initialized each time.

Field Summary
`static java.lang.String` `FRAMEWORK_VERSION_DESC` The repository descriptor key for the version of the Oracle JCR framework.

Fields inherited from interface javax.jcr.Repository
`LEVEL_1_SUPPORTED, LEVEL_2_SUPPORTED, OPTION_LOCKING_SUPPORTED, OPTION_OBSERVATION_SUPPORTED, OPTION_QUERY_SQL_SUPPORTED, OPTION_TRANSACTIONS_SUPPORTED, OPTION_VERSIONING_SUPPORTED, QUERY_XPATH_DOC_ORDER, QUERY_XPATH_POS_INDEX, REP_NAME_DESC, REP_VENDOR_DESC, REP_VENDOR_URL_DESC, REP_VERSION_DESC, SPEC_NAME_DESC, SPEC_VERSION_DESC`

Method Summary
`CredentialsProvider` `getCredentialsProvider()` Gets the CredentialsProvider used to generate a Credentials object when no Credentials object is supplied to the `login` method of Repository.
`OracleRepositoryConfiguration` `getRepositoryConfiguration()` Gets the configuration of this repository.
`boolean` `isStrictSaveRefreshBehavior()` Gets whether the behavior of the `save` and `refresh` methods of Item conforms strictly to the JSR-170 specification.
`void` `setCredentialsProvider(CredentialsProvider cp)` Sets the CredentialsProvider used to generate a Credentials object when no Credentials object is supplied to the `login` method of Repository.
`void` `setStrictSaveRefreshBehavior(boolean strict)` Sets whether the behavior of the `save` and `refresh` methods of Item conforms strictly to the JSR-170 specification.

Methods inherited from interface javax.jcr.Repository
`getDescriptor, getDescriptorKeys, login, login, login, login`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Field Detail

### FRAMEWORK_VERSION_DESC

    static final java.lang.String FRAMEWORK_VERSION_DESC

  The repository descriptor key for the version of the Oracle JCR framework.
  See Also:
    Constant Field Values

Method Detail

### getRepositoryConfiguration

    OracleRepositoryConfiguration getRepositoryConfiguration()

  Gets the configuration of this repository.
  Returns:
    the repository configuration

### getCredentialsProvider

    CredentialsProvider getCredentialsProvider()

  Gets the CredentialsProvider used to generate a Credentials object when no Credentials object is supplied to the `login` method of Repository.
  Returns:
    the CredentialsProvider, or null if none

### setCredentialsProvider

    void setCredentialsProvider(CredentialsProvider cp)

  Sets the CredentialsProvider used to generate a Credentials object when no Credentials object is supplied to the `login` method of Repository.
  Parameters:
    `cp` - the CredentialsProvider, or null if none

### isStrictSaveRefreshBehavior

    boolean isStrictSaveRefreshBehavior()

  Gets whether the behavior of the `save` and `refresh` methods of Item conforms strictly to the JSR-170 specification.

  If true, `save` and `refresh` can only be called on nodes of type `nt:file`, `nt:folder`, and `ojcr:symbolicLink`. Calling these methods on nodes of other types will throw a ConstraintViolationException. This is the default.

  If false, `save` and `refresh` can be called on any node or property. Calling these methods on properties or nodes whose node type is not `nt:file`, `nt:folder`, or `ojcr:symbolicLink` will save or refresh the containing file, folder, or symbolic link.

  Returns:
    the behavior; see description

### setStrictSaveRefreshBehavior

    void setStrictSaveRefreshBehavior(boolean strict)

  Sets whether the behavior of the `save` and `refresh` methods of Item conforms strictly to the JSR-170 specification.

  If true, `save` and `refresh` can only be called on nodes of type `nt:file`, `nt:folder`, and `ojcr:symbolicLink`. Calling these methods on nodes of other types will throw a ConstraintViolationException. This is the default.

  If false, `save` and `refresh` can be called on any node or property. Calling these methods on properties or nodes whose node type is not `nt:file`, `nt:folder`, or `ojcr:symbolicLink` will save or refresh the containing file, folder, or symbolic link.

  Parameters:
    `strict` - the behavior; see description

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.